| The Red Matrix

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Pages
Functions
Contact.php File Reference

## Functions
| rconnect_url ($channel_id, $xchan)
| abook_connections ($channel_id, $sql_conditions= '')
| abook_self ($channel_id)
| channelx_by_nick ($nick)
| channelx_by_hash ($hash)
| channelx_by_n ($id)
| vcard_from_xchan ($xchan, $observer=null, $mode= '')
| abook_toggle_flag ($abook, $flag)
| user_remove ($uid)
| account_remove ($account_id, $local=true)
| channel_remove ($channel_id, $local=true)
| remove_all_xchan_resources ($xchan, $channel_id=0)
| contact_remove ($channel_id, $abook_id)
| terminate_friendship ($user, $self, $contact)
if(!function_exists('mark_for_death')) if(!function_exists('unmark_for_death')) | random_profile ()

## Function Documentation

abook_connections | ( |  | $channel_id,
|  |  | $sql_conditions = `''`
| ) |  |

abook_self | ( |  | $channel_id | ) |

Referenced by photos_post().

abook_toggle_flag | ( |  | $abook,
|  |  | $flag
| ) |  |

Referenced by connedit_content().

account_remove | ( |  | $account_id,
|  |  | $local = `true`
| ) |  |

Referenced by admin_page_users(), admin_page_users_post(), and chanman_remove_everything_from_network().

channel_remove | ( |  | $channel_id,
|  |  | $local = `true`
| ) |  |

Referenced by account_remove(), admin_page_channels(), admin_page_channels_post(), and removeme_post().

channelx_by_hash | ( |  | $hash | ) |

channelx_by_n | ( |  | $id | ) |

Referenced by widget_photo_albums().

channelx_by_nick | ( |  | $nick | ) |

Referenced by photos_init().

contact_remove | ( |  | $channel_id,
|  |  | $abook_id
| ) |  |

Referenced by connedit_content(), and post_post().

if (!function_exists('mark_for_death')) if (!function_exists('unmark_for_death')) random_profile | ( |  | ) |

Referenced by randprof_init().

rconnect_url | ( |  | $channel_id,
|  |  | $xchan
| ) |  |

Referenced by profile_sidebar().

remove_all_xchan_resources | ( |  | $xchan,
|  |  | $channel_id = `0`
| ) |  |

Referenced by post_post().

terminate_friendship | ( |  | $user,
|  |  | $self,
|  |  | $contact
| ) |  |

user_remove | ( |  | $uid | ) |

vcard_from_xchan | ( |  | $xchan,
|  |  | $observer = `null`,
|  |  | $mode = `''`
| ) |  |

Referenced by widget_vcard().